Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class DataCodecDecompressor

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.qtcomponents.DataCodecDecompressor

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class DataCodecDecompressor
extends Component
implements quicktime.jdirect.QuickTimeLib

This class is used to decompress data given an appropriate compressor type which is the compressor used to compress the data.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`DataCodecDecompressor(ComponentIdentifier comp)` Given a component identifier it opens the specified component.
`DataCodecDecompressor(int subType)` Opens the specified data codec decompressor component, 'ddec', with the given subType.

Method Summary
`void` | `decompress(QTPointerRef srcData, QTPointerRef dstData)` The DataCodecDecompress function decompresses data using the specified compressor component.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataCodecDecompressor

    public DataCodecDecompressor(int subType)
                          throws QTException

  Opens the specified data codec decompressor component, 'ddec', with the given subType.
  QuickTime::OpenADefaultComponent
Parameters:
  `subType` - compressor type used to compress the data that will be decompressed

### DataCodecDecompressor

    public DataCodecDecompressor(ComponentIdentifier comp)
                          throws QTException

  Given a component identifier it opens the specified component. The component type must be 'ddec' or an exception will be thrown as it is not a DataCodecDecompressor.
  QuickTime::OpenAComponent
Parameters:
  `comp` - the component identifier to open

Method Detail

### decompress

    public void decompress(QTPointerRef srcData,
                           QTPointerRef dstData)
                    throws StdQTException

  The DataCodecDecompress function decompresses data using the specified compressor component. Before you decompress the data the size required to store the data should be retrieved, which is normally stored at the beginning of the file.
  QuickTime::DataCodecDecompress

  Parameters:
    `srcData` - Contains a pointer to the data to be decompressed.
    `dstData` - Contains a pointer to the buffer in which to store the decompressed data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD